<?php

$webdoc["page_title"].=" - Delete";

$person_role = 1;
if (!auth($person_role)) 
{
  $webdoc["message"][]=database_get_message("no_permission");
  $template->template_assign("no_display",true);
  return;
}

if (isset($_SESSION["$webdoc[main_table]_record_deleted"])) //oznameni o uspesnem smazani po presmerovani
{
  unset($_SESSION["$webdoc[main_table]_record_deleted"]);
  $webdoc["message"][]=database_get_message("record_deleted");
  $webdoc["deleted"]=true;
  $template->template_assign("deleted",true); //identifikace smazani pro sablonu, aby nezobrazovala smazany zaznam
}

if (isset($webdoc["category_id"])) //test existence category_id
{
  if ($record=database_get_category()) //nacteni zaznamu do docasne prom.
  {
    if (!database_has_category_children()) //test, zda je kategorie prazdna
    {
      if ($_GET["confirm"]=="yes") //bolo kliknuto na ano
      {
        if (database_delete_category()) //vymazani kategorie
        {
          unset($webdoc["category_id"]); //odstraneni promennych pro zobrazeni odkazu edit, view a delete (delete se vsak vlivem promenne $deleted ve smarty jeste jednou)
          unset($_SESSION["$webdoc[main_table]_category_id"]);
          $_SESSION["$webdoc[main_table]_record_deleted"]=true;
          $url="./?subpage1=$_GET[subpage1]&subpage2=$_GET[subpage2]&subpage3=delete"; //nova url
          header("location: $url"); //presmerovani
          echo database_get_message("record_deleted")." ".database_get_message("continue")." <a href=\"$url\">".database_get_message("here")."</a>."; //zobrazeni hlasky pokud prohlizec nepodporuje presmerovani
          exit; //ukonceni
        }
        else //mazani se nezdarilo
        {
          $webdoc["message"][]=database_get_message("error_delete");
        }
      }
      if (!isset($_GET["confirm"])) //nebylo kliknuto na ano - zobrazeni potvrzovaciho dotazu
      {
        $url="?subpage1=$_GET[subpage1]&subpage2=$_GET[subpage2]&category_id=$webdoc[category_id]"; //url pro odkazy ano a ne
        $webdoc["message"][]=database_get_message("record_delete")." <a href=\"$url&subpage3=delete&confirm=yes\">".database_get_message("yes")."</a> | <a href=\"$url&subpage3=view\">".database_get_message("no")."</a>"; //potvrzovaci hlaska
      }
    }
    else //kategorie neni prazdna, nelze smazat
    {
      $webdoc["message"][]=database_get_message("category_not_empty");
    }
    $template->template_assign("record",$record); //zobrazeni kategorie v sablone
  }
  else
  {
    $webdoc["message"][]=database_get_message("record_not_found"); //kategorie nenalezena
  }
}

?>
